Index: npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+#DEP:Linux_PAM
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/checkpassword_pam/checkpassword_pam.arch
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/checkpassword_pam/checkpassword_pam.build
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.build	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.build	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/checkpassword_pam/checkpassword_pam.depver
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,1 @@
+Linux_PAM	1
Index: npl/overig/checkpassword_pam/checkpassword_pam.md5
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,4 @@
+4db3b5f287010ebb4c6e6f3a6c64ce3f  ./checkpassword-pam-0.99.zip
+f3c073ce0798ac5095cd041c6c510362  ./checkpassword_pam.pkg
+6db126a5a8042ef345c64e824a325882  ./checkpassword_pam.SlackBuild
+f227464aad25025b0535c5e6fee3802e  ./checkpassword_pam.SlackBuild.log.gz
Index: npl/overig/checkpassword_pam/checkpassword_pam.version
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.version	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
+++ npl/overig/checkpassword_pam/checkpassword_pam.version	(revision 981dbbc6c900fb75ec9e5eaf6305054362a41911)
@@ -0,0 +1,1 @@
+0.99
